import { ChartResizeIdleEventArgs as ChartResizeIdleEventArgs_internal } from "./ChartResizeIdleEventArgs";
/**
 * Provides information about the chart going idle from being resized.
*/
var IgxChartResizeIdleEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgxChartResizeIdleEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgxChartResizeIdleEventArgs.prototype.createImplementation = function () {
        return new ChartResizeIdleEventArgs_internal();
    };
    Object.defineProperty(IgxChartResizeIdleEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgxChartResizeIdleEventArgs.prototype.onImplementationCreated = function () {
    };
    IgxChartResizeIdleEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    return IgxChartResizeIdleEventArgs;
}());
export { IgxChartResizeIdleEventArgs };
